跳到內容

平臺的現行法律文字(條款、隱私權聲明、DPA 及其附件、開發者條款)

GET
/v1/legal
curl --request GET \
--url 'https://api.vimine.network/v1/legal?locale=it'

每種文件類型和語言各一項,均為今日現行版本。?all=1 會加上先前版本的存檔;?locale=it|en 限定語言。

locale

僅限此語言

string
允許的值: it en zh-Hans zh-Hant fr es de pt-BR
all

設為 1 以包含先前的版本

string

文件清單

媒體類型application/json
object
documents
必填
Array<object>
object
uid
string 格式: uuid
kind
必填

文件類型(platform_terms、platform_privacy、platform_cookie、aps_terms、aps_dpa、aps_dpa_annex1_processing … developer_terms)

string
locale
必填
string
允許的值: it en zh-Hans zh-Hant fr es de pt-BR
version
必填

版本標籤(1.0、1.1、…)

string
title
必填
string
summary

此版本的變更內容

string
可為 null
effective_from
string 格式: date-time
可為 null
retired_at
string 格式: date-time
可為 null
sha256

規範化範本內文的 SHA-256

string
可為 null
current
必填

這是該類型在其語言中的現行版本

boolean
requires_reacceptance
boolean
archive

先前的版本(使用 ?all=1 時)

Array<object>
object
uid
string 格式: uuid
kind
必填

文件類型(platform_terms、platform_privacy、platform_cookie、aps_terms、aps_dpa、aps_dpa_annex1_processing … developer_terms)

string
locale
必填
string
允許的值: it en zh-Hans zh-Hant fr es de pt-BR
version
必填

版本標籤(1.0、1.1、…)

string
title
必填
string
summary

此版本的變更內容

string
可為 null
effective_from
string 格式: date-time
可為 null
retired_at
string 格式: date-time
可為 null
sha256

規範化範本內文的 SHA-256

string
可為 null
current
必填

這是該類型在其語言中的現行版本

boolean
requires_reacceptance
boolean
範例
{
"documents": [
{
"locale": "it"
}
],
"archive": [
{
"locale": "it"
}
]
}

請求無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

找不到

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

超出速率限制

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

內部錯誤

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}